## ipwatchd-gnotify 1.0

=== src/Makefile ===
# IPwatchD G Notify - Notification tool for Gnome environment
# Copyright (C) 2009-2010 Jaroslav Imrich <jariq(at)jariq(dot)sk>

CC= gcc
CFLAGS= -Wall -O2
LIBNOTIFY_CFLAGS=`pkg-config --cflags libnotify`
LIBNOTIFY_LIBS=`pkg-config --libs libnotify`

all: ipwatchd-gnotify.c ipwatchd-gnotify.h
	$(CC) $(CFLAGS) $(LIBNOTIFY_CFLAGS) ipwatchd-gnotify.c -o ipwatchd-gnotify $(LIBNOTIFY_LIBS)

clean:
	-rm -f ipwatchd-gnotify

distclean:
	-rm -f ipwatchd-gnotify

install:
	mkdir -p $(DESTDIR)/usr/sbin
	cp ipwatchd-gnotify $(DESTDIR)/usr/sbin

uninstall:
	rm -f $(DESTDIR)/usr/sbin/ipwatchd-gnotify

## ipwatchd-gnotify 1.0.1

=== src/Makefile ===
# IPwatchD G Notify - Notification tool for Gnome environment
# Copyright (C) 2009-2010 Jaroslav Imrich <jariq(at)jariq(dot)sk>

CC= gcc
CFLAGS= -g -Wall -O2
GTK_CFLAGS=`pkg-config --cflags gtk+-2.0`
LIBNOTIFY_CFLAGS=`pkg-config --cflags libnotify`
LIBNOTIFY_LIBS=`pkg-config --libs libnotify`

all: ipwatchd-gnotify.c ipwatchd-gnotify.h
	$(CC) $(CFLAGS) $(GTK_CFLAGS) $(LIBNOTIFY_CFLAGS) ipwatchd-gnotify.c -o ipwatchd-gnotify $(LIBNOTIFY_LIBS)

clean:
	-rm -f ipwatchd-gnotify

distclean:
	-rm -f ipwatchd-gnotify

install:
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/share/man/man1
	cp ipwatchd-gnotify $(DESTDIR)/usr/sbin
	cp ../doc/ipwatchd-gnotify.1.gz $(DESTDIR)/usr/share/man/man1

uninstall:
	rm -f $(DESTDIR)/usr/sbin/ipwatchd-gnotify
	rm $(DESTDIR)/usr/share/man/man1/ipwatchd-gnotify.1.gz

=== debian/changelog ===
ipwatchd-gnotify (1.0.1-1) unstable; urgency=low

  * Updated to upstream release 1.0.1
  * Changed architecture to linux-any (Closes: #594347)
  * Added compatibility with libnotify 0.7 (Closes: #630283)
  * Added missing dependency on libgtk2.0-dev

 -- Jaroslav Imrich <jariq@jariq.sk>  Sun, 24 Jul 2011 22:26:04 +0200

ipwatchd-gnotify (1.0-2) unstable; urgency=low

  * Added manpage ipwatchd-gnotify(1)

 -- Jaroslav Imrich <jariq@jariq.sk>  Sun, 28 Feb 2010 10:11:49 +0100

ipwatchd-gnotify (1.0-1) unstable; urgency=low

  * Initial release (Closes: #569780)

 -- Jaroslav Imrich <jariq@jariq.sk>  Sat, 20 Feb 2010 13:56:08 +0100

=== debian/control ===
Source: ipwatchd-gnotify
Section: gnome
Priority: optional
Maintainer: Jaroslav Imrich <jariq@jariq.sk>
Build-Depends: debhelper (>= 7), libnotify-dev, libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://ipwatchd.sf.net

Package: ipwatchd-gnotify
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ipwatchd
Description: Gnome notification tool for IPwatchD
 IPwatchD-G-Notify is notification tool for Gnome environment used
 by IPwatchD daemon to display notification "bubble" when IP
 conflict occurs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


build: build-stamp

build-stamp: 
	dh_testdir
	$(MAKE) -C src
	touch $@

# Added just to remove lintian warning debian-rules-missing-recommended-target
build-arch build-indep: build

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) -C src clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/ipwatchd-gnotify install
	# Remove upstream manpages causing lintian error manpage-not-compressed-with-max-compression
	rm $(CURDIR)/debian/ipwatchd-gnotify/usr/share/man/man1/ipwatchd-gnotify.1.gz

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman debian/ipwatchd-gnotify.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://sf.net/ipwatchd/ipwatchd-gnotify-(\d+.*)\.tar\.gz
